
CREATE TABLE groups (
    number smallint DEFAULT 0 NOT NULL,
    name character varying(30) NOT NULL,
    col smallint DEFAULT 0 NOT NULL,
    priority smallint DEFAULT 0 NOT NULL,
    collapse character varying(1) DEFAULT 0 NOT NULL
);

CREATE TABLE history (
    number integer DEFAULT 0 NOT NULL,
    hostname character varying(40) DEFAULT 0 NOT NULL,
    host integer DEFAULT 0 NOT NULL,
    "type" character varying(4) DEFAULT 'Up' NOT NULL,
    datetime timestamp without time zone NOT NULL
);

CREATE TABLE hosts (
    number integer DEFAULT 0 NOT NULL,
    name character varying(40) NOT NULL,
    ip inet NOT NULL,
    hostgroup smallint DEFAULT 0 NOT NULL,
    status smallint DEFAULT 1 NOT NULL,
    enabled smallint DEFAULT 1 NOT NULL,
    timeout smallint DEFAULT 1 NOT NULL,
    "type" character varying(4) DEFAULT 'icmp' NOT NULL,
    port smallint DEFAULT 0 NOT NULL,
    parent integer DEFAULT 0 NOT NULL,
    visible smallint DEFAULT 1 NOT NULL,
    autoupdateip character varying(1) DEFAULT 0 NOT NULL
);

CREATE TABLE layout (
    number smallint DEFAULT 0 NOT NULL,
    width smallint DEFAULT 0 NOT NULL
);

CREATE TABLE universal (
    "notify" character varying(1) DEFAULT 0 NOT NULL,
    address character varying(40) NOT NULL,
    version character varying(5) NOT NULL,
    "year" character varying(5) NOT NULL,
    autoupdateip character varying(1) DEFAULT 0 NOT NULL,
    textsize character varying(8) DEFAULT 'small' NOT NULL,
    tabletextsize character varying(8) DEFAULT 'x-small' NOT NULL,
    status_public character varying(1) DEFAULT 0 NOT NULL
);

CREATE TABLE users (
    number integer DEFAULT 0 NOT NULL,
    id character varying(10) NOT NULL,
    pass character varying(30) NOT NULL,
    email character varying(40) NOT NULL,
    admin smallint DEFAULT 0 NOT NULL,
    "notify" smallint DEFAULT 1 NOT NULL,
    digest smallint DEFAULT 1 NOT NULL
);

CREATE TABLE state (
    number integer NOT NULL,
    hostname character varying NOT NULL,
    "type" character varying NOT NULL,
    data character varying NOT NULL,
    disk character varying NOT NULL
);

CREATE TABLE thresholds (
    number integer NOT NULL,
    hostname character varying NOT NULL,
    type character varying NOT NULL,
    value character varying NOT NULL,
    disk character varying NOT NULL
);
                            
CREATE TABLE host_notif (
    number integer NOT NULL,
    host integer NOT NULL,
    user integer NOT NULL
);

INSERT INTO layout VALUES(1,5);
INSERT INTO layout VALUES(2,5);
INSERT INTO layout VALUES(3,5);

INSERT INTO universal VALUES(1, 'yourgroup@yourorg.org', '1.9.8', 2011, 0, 'small', 'x-small');

INSERT INTO users VALUES(1, 'admin', 'adpexzg3FUZAk', 'you@yourorg.tld', 1, 1, 1);


